Subject: Re: bug#21013: Evaluation expression from C assumes that lambda is present

From: Andy Wingo <[email-masked]>
Date: Fri, 24 Jun 2016 09:53:51 +0200

On Wed 08 Jul 2015 20:48, Stefan Israelsson Tampe <[email-masked]> writes:

> When using the profiler in a pure module ,profile does not work
>
> The reason is that in 
> scmsigs.c, 
>
> At an evaluation occurs from C e.g.
>
> static SCM
> close_1 (SCM proc, SCM arg)
> {
> return scm_primitive_eval_x (scm_list_3 (scm_sym_lambda, SCM_EOL,
> scm_list_2 (proc, arg)));
> }

Amusing!  I tried to work around this use of `eval' but I can't because
there's too much C sclerosis.  Instead I switched to use scm_eval and
specified a module; should fix the issue.

Andy